# -*- coding: utf-8 -*-

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

# Lectura de datos
df = pd.read_csv('T130_6_1_2.csv', sep=',',skiprows=2, header=None, error_bad_lines=False, na_values='', skipinitialspace=True)

# Transformada rapida de Fourier
y = np.fft.fft(df[1].dropna())
n = len(y)
y = y[range(n/2)]
t = np.linspace(0,1,n/2) # Generamos frecuencias

# Opciones graficas
plt.xticks(rotation=70)
plt.style.use('ggplot')

# Graficas de las señales
plt.figure()
plt.plot(df[5], df[6],'-k',label='v2')
plt.hold(True)
plt.plot(df[0], df[1],'-.r',label='v1')
plt.xlabel('time (s)', weight='bold')
plt.ylabel('velocity (m/s)', weight='bold')
plt.legend(loc=2)

# Graficas de una señal y su espectro de energia
fig, ax = plt.subplots(2, 1)
ax[0].plot(df[0],df[1])
ax[0].set_xlabel('Time')
ax[0].set_ylabel('Amplitude')
ax[1].plot(t, abs(y),'r')
ax[1].set_xlabel('Freq (Hz)')
ax[1].set_ylabel('|Y(freq)|')
