# -*- coding: utf-8 -*-

import pandas as pd
import matplotlib.pyplot as plt
plt.style.use('ggplot')

# Lectura de datos

simar = pd.read_table('WANA_2006008_Algeciras.txt', delim_whitespace=True, 
                      parse_dates= {'fecha' : [0,1,2,3]}, keep_date_col=True,
                      skiprows=70)

# Opciones de graficos

plt.xticks(rotation=30)

# Salida grafica

plt.plot(simar['fecha'], simar['Hm0'])
plt.show() # Pantalla
plt.savefig('wana.png') # Fichero

print 'El valor máximo de altura de ola es ' + str(simar['Hm0'].max())
print simar.describe()
filtro = simar[(simar['fecha'] > '1996-02-01') & (simar['fecha'] < '1996-03-01')]

filtro.to_csv('salida.txt', columns=('Hm0','VelV'), index=False, sep='\t')